import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    url: '/kwaixiaodian/item/list',
    method: 'get',
    params: query
  })
}

export function getShopList(query) {
  return request({
    url: '/kwaixiaodian/item/getShopList',
    method: 'get',
    params: query
  })
}

export function getCompanyList(query) {
  return request({
    url: '/kwaixiaodian/item/getCompanyList',
    method: 'get',
    params: query
  })
}

export function getCourtshipPurchaseIds(query) {
  return request({
    url: '/kwaixiaodian/item/getCourtshipPurchaseIds',
    method: 'get',
    params: query
  })
}

export function addInfo(data) {
  return request({
    url: '/kwaixiaodian/item/querykwaiItmInfo',
    method: 'post',
    data: data
  })
}


export function delInfo(id) {
  return request({
    url: '/kwaixiaodian/item/' + id,
    method: 'delete'
  })
}


export function queryItemReport(query) {
  return request({
    url: '/kwaixiaodian/item/queryItemReport',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getInfo(id) {
  return request({
    url: '/kwaixiaodian/item/' + id,
    method: 'get'
  })
}


export function updateInfo(data) {
  return request({
    url: '/kwaixiaodian/item',
    method: 'put',
    data: data
  })
}


export function getSumInfo(query) {
  return request({
    url: '/kwaixiaodian/report/getSumInfo',
    method: 'get',
    params: query
  })
}

export function getMonthData(query) {
  return request({
    url: '/kwaixiaodian/report/getMonthData',
    method: 'get',
    params: query
  })
}

export function getGmvHours(query) {
  return request({
    url: '/kwaixiaodian/report/getGmvHours',
    method: 'get',
    params: query
  })
}

export function getShopListData(query) {
  return request({
    url: '/kwaixiaodian/report/getShopListData',
    method: 'get',
    params: query
  })
}

export function getTeamList(query) {
  return request({
    url: '/kwaixiaodian/report/getTeamList',
    method: 'get',
    params: query
  })
}

export function getTeamDetail(query) {
  return request({
    url: '/kwaixiaodian/report/getTeamDetail',
    method: 'get',
    params: query
  })
}

export function getItemList(query) {
  return request({
    url: '/kwaixiaodian/report/getItemList',
    method: 'get',
    params: query
  })
}


export function getCostTotal(query) {
  return request({
    url: '/kwaixiaodian/report/getCostTotal',
    method: 'get',
    params: query
  })
}

export function getCostDate(query) {
  return request({
    url: '/kwaixiaodian/report/getCostDate',
    method: 'get',
    params: query
  })
}


export function getItemCostList(query) {
  return request({
    url: '/kwaixiaodian/report/getItemCostList',
    method: 'get',
    params: query
  })
}


export function getSaleReport(query) {
  return request({
    url: '/kwaixiaodian/report/getSaleReport',
    method: 'get',
    params: query
  })
}

export function getSaleDetail(query) {
  return request({
    url: '/kwaixiaodian/report/getSaleDetail',
    method: 'get',
    params: query
  })
}

export function getPurchaserReport(query) {
  return request({
    url: '/kwaixiaodian/report/getPurchaserReport',
    method: 'get',
    params: query
  })
}

export function getPurchaseDetail(query) {
  return request({
    url: '/kwaixiaodian/report/getPurchaseDetail',
    method: 'get',
    params: query
  })
}




